> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post paymentscommandschangelicense



## OpenAPI

````yaml /api-reference/oda-payment-service-1.0.0.yml post /payments/commands/changelicense
openapi: 3.0.1
info:
  title: oda-payment-service
  version: 1.0.0
servers: []
security: []
paths:
  /payments/commands/changelicense:
    post:
      operationId: changeLicense
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ChangeLicense.ChangeLicenseCommand'
        required: true
      responses:
        '200':
          description: changeLicense 200 response
components:
  schemas:
    ChangeLicense.ChangeLicenseCommand:
      required:
        - gateway
      type: object
      properties:
        gateway:
          type: string

````